# Interface ConsumerEventMap

#### Hierarchy

- ConsumerEventMap

- Defined in linking/consumer.ts:24

#####
Index

### Properties

challenge
done
link

## Properties

### challenge

challenge: {
pin: number[];
}

#### Type declaration

- ##### pin: number[]

- Defined in linking/consumer.ts:25

### done

done: undefined

- Defined in linking/consumer.ts:27

### link

link: {
approved: boolean;
username: string;
}

#### Type declaration

- ##### approved: boolean

- ##### username: string

- Defined in linking/consumer.ts:26

Generated using TypeDoc